QGIS Application - Feature request #6447
Geometry tools can only store in shp format
2012-10-03 02:40 AM - Ole Nielsen

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Python plugins

Pull Request or Patch supplied: Resolution: worksforme
Easy fix?: No Copied to github as #: 15687
Description

I don't know if this is a bug or a feature request, but since QGIS generally supports several file formats | think it does qualify as a bug.

To reproduce please load the attached sqlite file and use one of the geometry tools such as "Multipart to Singleparts” or "Polygon to
Lines". When prompted for an output file the tool will only allow the result to be stored as a shape file. This means among other things that
attribute names may be truncated.

History

#1 - 2012-10-03 02:55 AM - Alexander Bruy

- Tracker changed from Bug report to Feature request
- Category set to 44

- Target version set to Version 2.0.0

- Operating System set to all

This is feature, not bug.
You can use this tools from SEXTANTE which provides ability to choose output format

#2 - 2012-10-03 04:03 AM - Ole Nielsen

- File sextante_sqlite.png added

Thanks for the quick reply. Happy for this to be a feature.

However, going through SEXTANTE and trying what looks like the equivalent function it will still only allow the output to be saved as a shapefile. The

attached screenshot shows that one can only choose SHP and when putting .sqlite as extension, the resulting file becomes .sglite.shp

#3 - 2012-10-03 04:12 AM - Alexander Bruy
- File save_as.png added

Seems you select wrong menu entry when select file. See attached image

#4 - 2012-10-03 05:33 AM - Ole Nielsen

Sorry but | can't see which tool are you using?
Assuming, it is from the ftools section, the save dialog does not look like what you uploaded (I get

https://issues.qgis.org/attachments/4929/sextante sqlite.png).
https://issues.qgis.org/attachments/4929/sextante_sqlite.png

As far as | can see, only the shapefile format is supported.

I am running QGIS 1.7.3 and SEXTANTE 1.0.7

#5 - 2012-10-04 07:21 PM - Marco Bernasocchi
- Category changed from 44 to Python plugins
- Assignee set to Victor Olaya

Hi Alex and Victor, this is funny, it works only if you use the sextante shipped with qgis. if you download sextante from the python plugins repo it doesent. so
there is a SEXTANTE 1.0.7 from repo and 1.0.7 in master that have different functionality?

to reproduce,

build master 8ba3cfa

enable sextante from plugins -> it works

go to fetch python plugins

reinstall sextante

restart qgis -> it doesnt work

#6 - 2012-10-05 01:51 AM - Alexander Bruy

Marco Bernasocchi wrote:

Hi Alex and Victor, this is funny, it works only if you use the sextante shipped with qgis.

Right, this feature was added a few days before SEXTANTE repo freeze

if you download sextante from the python plugins repo it doesent. so there is a SEXTANTE 1.0.7 from repo and 1.0.7 in master that have different

functionality ?

This already fixed in master, SEXTANTE in core has version 1.0.8

#7 - 2012-10-05 06:15 AM - Alexander Bruy

- Status changed from Open to Feedback

#8 - 2013-02-17 01:36 AM - Jiirgen Fischer

- Resolution set to worksforme
- Status changed from Feedback to Closed

closing for the lack of feedback - apparenty fixed in current SEXTANTE.

Files

lembang_osm_20121003.sqlite 540 KB 2012-10-03 Ole Nielsen
sextante_sqlite.png 289 KB 2012-10-03 Ole Nielsen
save_as.png 44 KB 2012-10-03 Alexander Bruy
